@use "sass:math"

@mixin font($fname, $fstyle, $fweight, $furl)
	@font-face
		font-family: $fname
		font-style: $fstyle
		font-weight: $fweight
		src: local($fname), url($furl) format("woff2")

@mixin adaptiv-size($selector, $maxSize, $minSize, $maxViewport, $minViewport)
	$step: math.div($maxViewport - $minViewport, $maxSize - $minSize)
	@if $minSize == 0 
		#{$selector}: min( #{$maxSize + px}, calc(((100vw - #{$minViewport + px}) / #{$step})))
	@else 
		#{$selector}: min( #{$maxSize + px}, calc(((100vw - #{$minViewport + px}) / #{$step}) + #{$minSize + px}))
	@media (max-width: #{$minViewport  + px})
		#{$selector}: #{$minSize + px}

@mixin ifhover 
	@media (hover) , (min-width:0\0) , (min--moz-device-pixel-ratio:0)
		@content